Solid Edge Geometry Type Library
Application Property
Description
Returns the active application object.
Property type
Read-only property
Syntax
Visual Basic
Public Property Application As Object
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgePart.PartDocument
    Dim objTorus As SolidEdgeGeometry.Torus
    Dim objTApp As SolidEdgeFramework.Application
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    ' creating the model object ( a torus)
    If (CreateModel(objDoc) <> "") Then
        MsgBox "Error creating the model"
        Exit Sub
    End If
    ' getting the geometry object
    Set objTorus = objDoc.Models(1).Body.Shells(1).Faces(1).Geometry
    ' getting the application object of the torus
    Set objTApp = objTorus.Application
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objTorus = Nothing
    Set objTApp = Nothing
End Sub
See Also

Torus Object  | Torus Members

Send comments on this topic.